#!/bin/sh
OUTFILE="../Die_Hose_klemmt_mein_Hoden_brennt.prg"

rm -f "$OUTFILE"

acme -v4 -f cbm -l labels.asm -o out.prg main.asm

STARTADDR=$(grep "code_start" labels.asm | cut -d$ -f2)
exomizer3 sfx 0x$STARTADDR -s 'lda#$0d sta$07e4 lda#$19 sta$07e5 lda#$04 sta$07e6 lda#$21 sta$07e7' -X 'inc$dbe4 inc$dbe5 inc$dbe6 inc$dbe7' -o "$OUTFILE" out.prg

rm -f out.prg
rm -f labels.asm

vice -VICIIborders 0 "$OUTFILE"
#codenet -n 172.16.1.164 -x "$OUTFILE"
